
// All images need to be loaded for this plugin to work so
// we end up waiting for the whole window to load in this example
$(window).load(function () {
    $(document).ready(function(){
        collage();
    });
});
function calcHeight(selector) {
    var height=0;
    var box=$(selector);
    box.each(function(){
        if($(this).outerHeight()>height)
            height=$(this).outerHeight();
    });
    box.css('height',height);
    $(window).on('resize', function(){
        height=0;
        box.css('height','');
        box.each(function(){
            if($(this).outerHeight()>height)
                height=$(this).outerHeight();
        });
        box.css('height',height);
    });
}
// Here we apply the actual CollagePlus plugin
function collage() {
    $('.img_gallery').collagePlus(
            {
                'fadeSpeed'     : 2000,
                'targetHeight'  : 200,
                'padding':10
            }
    );
}
// Document ready
$(function(){
    // This is just for the case that the browser window is resized
    var resizeTimer = null;
    $(window).bind('resize', function() {
        // hide all the images until we resize them
        $('.img_gallery .gallery_image').css("opacity", 0);
        // set a timer to re-apply the plugin
        if (resizeTimer) clearTimeout(resizeTimer);
        resizeTimer = setTimeout(collage, 200);
    });
});
